using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using Infragistics.Documents.Report.Table;


namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(100);

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
        }       

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridOverride ov = layout.Override;

            layout.AutoFitStyle = AutoFitStyle.ExtendLastColumn;
            layout.ScrollBounds = ScrollBounds.ScrollToFill;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.ActiveRowScrollRegion.Scroll(RowScrollAction.Bottom);
        }

        private void ultraGrid1_AfterRowRegionScroll(object sender, RowScrollRegionEventArgs e)
        {
            Debug.WriteLine(e.RowScrollRegion.VisibleRows.Count, "AfterRowRegionScroll");
        }
    }


}